/*******************************************************************
* Creation Date: 03/31/2020   
*   NJ_SASD_2018_CORE.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      OUTPATIENT CORE FILE INTO SPSS                             
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'NJ_SASD_2018_CORE.ASC' FIXED SKIP=2 / 
 AGE                             1-   3
 AGEDAY                          4-   6
 AGEMONTH                        7-   9
 AHOUR                          10-  13
 AMONTH                         14-  15
 ATYPE                          16-  17
 AWEEKEND                       18-  19
 BILLTYPE                       20-  23 (A)
 CPT1                           24-  28 (A)
 CPT2                           29-  33 (A)
 CPT3                           34-  38 (A)
 CPT4                           39-  43 (A)
 CPT5                           44-  48 (A)
 CPT6                           49-  53 (A)
 CPT7                           54-  58 (A)
 CPT8                           59-  63 (A)
 CPT9                           64-  68 (A)
 CPT10                          69-  73 (A)
 CPT11                          74-  78 (A)
 CPT12                          79-  83 (A)
 CPT13                          84-  88 (A)
 CPT14                          89-  93 (A)
 CPT15                          94-  98 (A)
 CPT16                          99- 103 (A)
 CPT17                         104- 108 (A)
 CPT18                         109- 113 (A)
 CPT19                         114- 118 (A)
 CPT20                         119- 123 (A)
 CPT21                         124- 128 (A)
 CPT22                         129- 133 (A)
 CPT23                         134- 138 (A)
 CPT24                         139- 143 (A)
 CPT25                         144- 148 (A)
 CPT26                         149- 153 (A)
 CPT27                         154- 158 (A)
 CPT28                         159- 163 (A)
 CPT29                         164- 168 (A)
 CPT30                         169- 173 (A)
 CPT31                         174- 178 (A)
 CPT32                         179- 183 (A)
 CPT33                         184- 188 (A)
 CPT34                         189- 193 (A)
 CPT35                         194- 198 (A)
 CPT36                         199- 203 (A)
 CPT37                         204- 208 (A)
 CPT38                         209- 213 (A)
 CPT39                         214- 218 (A)
 CPT40                         219- 223 (A)
 CPT41                         224- 228 (A)
 CPT42                         229- 233 (A)
 CPT43                         234- 238 (A)
 CPT44                         239- 243 (A)
 CPT45                         244- 248 (A)
 CPT46                         249- 253 (A)
 CPT47                         254- 258 (A)
 CPT48                         259- 263 (A)
 CPT49                         264- 268 (A)
 CPT50                         269- 273 (A)
 CPT51                         274- 278 (A)
 CPT52                         279- 283 (A)
 CPT53                         284- 288 (A)
 CPT54                         289- 293 (A)
 CPT55                         294- 298 (A)
 CPT56                         299- 303 (A)
 CPT57                         304- 308 (A)
 CPT58                         309- 313 (A)
 CPT59                         314- 318 (A)
 CPT60                         319- 323 (A)
 CPT61                         324- 328 (A)
 CPT62                         329- 333 (A)
 CPT63                         334- 338 (A)
 CPT64                         339- 343 (A)
 CPT65                         344- 348 (A)
 CPT66                         349- 353 (A)
 CPT67                         354- 358 (A)
 CPT68                         359- 363 (A)
 CPT69                         364- 368 (A)
 CPT70                         369- 373 (A)
 CPT71                         374- 378 (A)
 CPT72                         379- 383 (A)
 CPT73                         384- 388 (A)
 CPT74                         389- 393 (A)
 CPT75                         394- 398 (A)
 CPT76                         399- 403 (A)
 CPT77                         404- 408 (A)
 CPT78                         409- 413 (A)
 CPT79                         414- 418 (A)
 CPT80                         419- 423 (A)
 CPT81                         424- 428 (A)
 CPT82                         429- 433 (A)
 CPT83                         434- 438 (A)
 CPT84                         439- 443 (A)
 CPT85                         444- 448 (A)
 CPT86                         449- 453 (A)
 CPT87                         454- 458 (A)
 CPT88                         459- 463 (A)
 CPT89                         464- 468 (A)
 CPT90                         469- 473 (A)
 CPT91                         474- 478 (A)
 CPT92                         479- 483 (A)
 CPT93                         484- 488 (A)
 CPT94                         489- 493 (A)
 CPT95                         494- 498 (A)
 CPT96                         499- 503 (A)
 CPT97                         504- 508 (A)
 CPT98                         509- 513 (A)
 CPT99                         514- 518 (A)
 CPT100                        519- 523 (A)
 CPTCCS1                       524- 526
 CPTCCS2                       527- 529
 CPTCCS3                       530- 532
 CPTCCS4                       533- 535
 CPTCCS5                       536- 538
 CPTCCS6                       539- 541
 CPTCCS7                       542- 544
 CPTCCS8                       545- 547
 CPTCCS9                       548- 550
 CPTCCS10                      551- 553
 CPTCCS11                      554- 556
 CPTCCS12                      557- 559
 CPTCCS13                      560- 562
 CPTCCS14                      563- 565
 CPTCCS15                      566- 568
 CPTCCS16                      569- 571
 CPTCCS17                      572- 574
 CPTCCS18                      575- 577
 CPTCCS19                      578- 580
 CPTCCS20                      581- 583
 CPTCCS21                      584- 586
 CPTCCS22                      587- 589
 CPTCCS23                      590- 592
 CPTCCS24                      593- 595
 CPTCCS25                      596- 598
 CPTCCS26                      599- 601
 CPTCCS27                      602- 604
 CPTCCS28                      605- 607
 CPTCCS29                      608- 610
 CPTCCS30                      611- 613
 CPTCCS31                      614- 616
 CPTCCS32                      617- 619
 CPTCCS33                      620- 622
 CPTCCS34                      623- 625
 CPTCCS35                      626- 628
 CPTCCS36                      629- 631
 CPTCCS37                      632- 634
 CPTCCS38                      635- 637
 CPTCCS39                      638- 640
 CPTCCS40                      641- 643
 CPTCCS41                      644- 646
 CPTCCS42                      647- 649
 CPTCCS43                      650- 652
 CPTCCS44                      653- 655
 CPTCCS45                      656- 658
 CPTCCS46                      659- 661
 CPTCCS47                      662- 664
 CPTCCS48                      665- 667
 CPTCCS49                      668- 670
 CPTCCS50                      671- 673
 CPTCCS51                      674- 676
 CPTCCS52                      677- 679
 CPTCCS53                      680- 682
 CPTCCS54                      683- 685
 CPTCCS55                      686- 688
 CPTCCS56                      689- 691
 CPTCCS57                      692- 694
 CPTCCS58                      695- 697
 CPTCCS59                      698- 700
 CPTCCS60                      701- 703
 CPTCCS61                      704- 706
 CPTCCS62                      707- 709
 CPTCCS63                      710- 712
 CPTCCS64                      713- 715
 CPTCCS65                      716- 718
 CPTCCS66                      719- 721
 CPTCCS67                      722- 724
 CPTCCS68                      725- 727
 CPTCCS69                      728- 730
 CPTCCS70                      731- 733
 CPTCCS71                      734- 736
 CPTCCS72                      737- 739
 CPTCCS73                      740- 742
 CPTCCS74                      743- 745
 CPTCCS75                      746- 748
 CPTCCS76                      749- 751
 CPTCCS77                      752- 754
 CPTCCS78                      755- 757
 CPTCCS79                      758- 760
 CPTCCS80                      761- 763
 CPTCCS81                      764- 766
 CPTCCS82                      767- 769
 CPTCCS83                      770- 772
 CPTCCS84                      773- 775
 CPTCCS85                      776- 778
 CPTCCS86                      779- 781
 CPTCCS87                      782- 784
 CPTCCS88                      785- 787
 CPTCCS89                      788- 790
 CPTCCS90                      791- 793
 CPTCCS91                      794- 796
 CPTCCS92                      797- 799
 CPTCCS93                      800- 802
 CPTCCS94                      803- 805
 CPTCCS95                      806- 808
 CPTCCS96                      809- 811
 CPTCCS97                      812- 814
 CPTCCS98                      815- 817
 CPTCCS99                      818- 820
 CPTCCS100                     821- 823
 CPTM1_1                       824- 825 (A)
 CPTM1_2                       826- 827 (A)
 CPTM1_3                       828- 829 (A)
 CPTM1_4                       830- 831 (A)
 CPTM1_5                       832- 833 (A)
 CPTM1_6                       834- 835 (A)
 CPTM1_7                       836- 837 (A)
 CPTM1_8                       838- 839 (A)
 CPTM1_9                       840- 841 (A)
 CPTM1_10                      842- 843 (A)
 CPTM1_11                      844- 845 (A)
 CPTM1_12                      846- 847 (A)
 CPTM1_13                      848- 849 (A)
 CPTM1_14                      850- 851 (A)
 CPTM1_15                      852- 853 (A)
 CPTM1_16                      854- 855 (A)
 CPTM1_17                      856- 857 (A)
 CPTM1_18                      858- 859 (A)
 CPTM1_19                      860- 861 (A)
 CPTM1_20                      862- 863 (A)
 CPTM1_21                      864- 865 (A)
 CPTM1_22                      866- 867 (A)
 CPTM1_23                      868- 869 (A)
 CPTM1_24                      870- 871 (A)
 CPTM1_25                      872- 873 (A)
 CPTM1_26                      874- 875 (A)
 CPTM1_27                      876- 877 (A)
 CPTM1_28                      878- 879 (A)
 CPTM1_29                      880- 881 (A)
 CPTM1_30                      882- 883 (A)
 CPTM1_31                      884- 885 (A)
 CPTM1_32                      886- 887 (A)
 CPTM1_33                      888- 889 (A)
 CPTM1_34                      890- 891 (A)
 CPTM1_35                      892- 893 (A)
 CPTM1_36                      894- 895 (A)
 CPTM1_37                      896- 897 (A)
 CPTM1_38                      898- 899 (A)
 CPTM1_39                      900- 901 (A)
 CPTM1_40                      902- 903 (A)
 CPTM1_41                      904- 905 (A)
 CPTM1_42                      906- 907 (A)
 CPTM1_43                      908- 909 (A)
 CPTM1_44                      910- 911 (A)
 CPTM1_45                      912- 913 (A)
 CPTM1_46                      914- 915 (A)
 CPTM1_47                      916- 917 (A)
 CPTM1_48                      918- 919 (A)
 CPTM1_49                      920- 921 (A)
 CPTM1_50                      922- 923 (A)
 CPTM1_51                      924- 925 (A)
 CPTM1_52                      926- 927 (A)
 CPTM1_53                      928- 929 (A)
 CPTM1_54                      930- 931 (A)
 CPTM1_55                      932- 933 (A)
 CPTM1_56                      934- 935 (A)
 CPTM1_57                      936- 937 (A)
 CPTM1_58                      938- 939 (A)
 CPTM1_59                      940- 941 (A)
 CPTM1_60                      942- 943 (A)
 CPTM1_61                      944- 945 (A)
 CPTM1_62                      946- 947 (A)
 CPTM1_63                      948- 949 (A)
 CPTM1_64                      950- 951 (A)
 CPTM1_65                      952- 953 (A)
 CPTM1_66                      954- 955 (A)
 CPTM1_67                      956- 957 (A)
 CPTM1_68                      958- 959 (A)
 CPTM1_69                      960- 961 (A)
 CPTM1_70                      962- 963 (A)
 CPTM1_71                      964- 965 (A)
 CPTM1_72                      966- 967 (A)
 CPTM1_73                      968- 969 (A)
 CPTM1_74                      970- 971 (A)
 CPTM1_75                      972- 973 (A)
 CPTM1_76                      974- 975 (A)
 CPTM1_77                      976- 977 (A)
 CPTM1_78                      978- 979 (A)
 CPTM1_79                      980- 981 (A)
 CPTM1_80                      982- 983 (A)
 CPTM1_81                      984- 985 (A)
 CPTM1_82                      986- 987 (A)
 CPTM1_83                      988- 989 (A)
 CPTM1_84                      990- 991 (A)
 CPTM1_85                      992- 993 (A)
 CPTM1_86                      994- 995 (A)
 CPTM1_87                      996- 997 (A)
 CPTM1_88                      998- 999 (A)
 CPTM1_89                     1000-1001 (A)
 CPTM1_90                     1002-1003 (A)
 CPTM1_91                     1004-1005 (A)
 CPTM1_92                     1006-1007 (A)
 CPTM1_93                     1008-1009 (A)
 CPTM1_94                     1010-1011 (A)
 CPTM1_95                     1012-1013 (A)
 CPTM1_96                     1014-1015 (A)
 CPTM1_97                     1016-1017 (A)
 CPTM1_98                     1018-1019 (A)
 CPTM1_99                     1020-1021 (A)
 CPTM1_100                    1022-1023 (A)
 CPTM2_1                      1024-1025 (A)
 CPTM2_2                      1026-1027 (A)
 CPTM2_3                      1028-1029 (A)
 CPTM2_4                      1030-1031 (A)
 CPTM2_5                      1032-1033 (A)
 CPTM2_6                      1034-1035 (A)
 CPTM2_7                      1036-1037 (A)
 CPTM2_8                      1038-1039 (A)
 CPTM2_9                      1040-1041 (A)
 CPTM2_10                     1042-1043 (A)
 CPTM2_11                     1044-1045 (A)
 CPTM2_12                     1046-1047 (A)
 CPTM2_13                     1048-1049 (A)
 CPTM2_14                     1050-1051 (A)
 CPTM2_15                     1052-1053 (A)
 CPTM2_16                     1054-1055 (A)
 CPTM2_17                     1056-1057 (A)
 CPTM2_18                     1058-1059 (A)
 CPTM2_19                     1060-1061 (A)
 CPTM2_20                     1062-1063 (A)
 CPTM2_21                     1064-1065 (A)
 CPTM2_22                     1066-1067 (A)
 CPTM2_23                     1068-1069 (A)
 CPTM2_24                     1070-1071 (A)
 CPTM2_25                     1072-1073 (A)
 CPTM2_26                     1074-1075 (A)
 CPTM2_27                     1076-1077 (A)
 CPTM2_28                     1078-1079 (A)
 CPTM2_29                     1080-1081 (A)
 CPTM2_30                     1082-1083 (A)
 CPTM2_31                     1084-1085 (A)
 CPTM2_32                     1086-1087 (A)
 CPTM2_33                     1088-1089 (A)
 CPTM2_34                     1090-1091 (A)
 CPTM2_35                     1092-1093 (A)
 CPTM2_36                     1094-1095 (A)
 CPTM2_37                     1096-1097 (A)
 CPTM2_38                     1098-1099 (A)
 CPTM2_39                     1100-1101 (A)
 CPTM2_40                     1102-1103 (A)
 CPTM2_41                     1104-1105 (A)
 CPTM2_42                     1106-1107 (A)
 CPTM2_43                     1108-1109 (A)
 CPTM2_44                     1110-1111 (A)
 CPTM2_45                     1112-1113 (A)
 CPTM2_46                     1114-1115 (A)
 CPTM2_47                     1116-1117 (A)
 CPTM2_48                     1118-1119 (A)
 CPTM2_49                     1120-1121 (A)
 CPTM2_50                     1122-1123 (A)
 CPTM2_51                     1124-1125 (A)
 CPTM2_52                     1126-1127 (A)
 CPTM2_53                     1128-1129 (A)
 CPTM2_54                     1130-1131 (A)
 CPTM2_55                     1132-1133 (A)
 CPTM2_56                     1134-1135 (A)
 CPTM2_57                     1136-1137 (A)
 CPTM2_58                     1138-1139 (A)
 CPTM2_59                     1140-1141 (A)
 CPTM2_60                     1142-1143 (A)
 CPTM2_61                     1144-1145 (A)
 CPTM2_62                     1146-1147 (A)
 CPTM2_63                     1148-1149 (A)
 CPTM2_64                     1150-1151 (A)
 CPTM2_65                     1152-1153 (A)
 CPTM2_66                     1154-1155 (A)
 CPTM2_67                     1156-1157 (A)
 CPTM2_68                     1158-1159 (A)
 CPTM2_69                     1160-1161 (A)
 CPTM2_70                     1162-1163 (A)
 CPTM2_71                     1164-1165 (A)
 CPTM2_72                     1166-1167 (A)
 CPTM2_73                     1168-1169 (A)
 CPTM2_74                     1170-1171 (A)
 CPTM2_75                     1172-1173 (A)
 CPTM2_76                     1174-1175 (A)
 CPTM2_77                     1176-1177 (A)
 CPTM2_78                     1178-1179 (A)
 CPTM2_79                     1180-1181 (A)
 CPTM2_80                     1182-1183 (A)
 CPTM2_81                     1184-1185 (A)
 CPTM2_82                     1186-1187 (A)
 CPTM2_83                     1188-1189 (A)
 CPTM2_84                     1190-1191 (A)
 CPTM2_85                     1192-1193 (A)
 CPTM2_86                     1194-1195 (A)
 CPTM2_87                     1196-1197 (A)
 CPTM2_88                     1198-1199 (A)
 CPTM2_89                     1200-1201 (A)
 CPTM2_90                     1202-1203 (A)
 CPTM2_91                     1204-1205 (A)
 CPTM2_92                     1206-1207 (A)
 CPTM2_93                     1208-1209 (A)
 CPTM2_94                     1210-1211 (A)
 CPTM2_95                     1212-1213 (A)
 CPTM2_96                     1214-1215 (A)
 CPTM2_97                     1216-1217 (A)
 CPTM2_98                     1218-1219 (A)
 CPTM2_99                     1220-1221 (A)
 CPTM2_100                    1222-1223 (A)
 DHOUR                        1224-1227
 DIED                         1228-1229
 DISP_X                       1230-1231 (A)
 DISPUB04                     1232-1233
 DISPUNIFORM                  1234-1235
 DMONTH                       1236-1237
 DNR                          1238-1239
 DQTR                         1240-1241
 DSHOSPID                     1242-1258 (A)
 DURATION                     1259-1264
 DXPOA1                       1265     (A)
 DXPOA2                       1266     (A)
 DXPOA3                       1267     (A)
 DXPOA4                       1268     (A)
 DXPOA5                       1269     (A)
 DXPOA6                       1270     (A)
 DXPOA7                       1271     (A)
 DXPOA8                       1272     (A)
 DXPOA9                       1273     (A)
 DXPOA10                      1274     (A)
 DXPOA11                      1275     (A)
 DXPOA12                      1276     (A)
 DXPOA13                      1277     (A)
 DXPOA14                      1278     (A)
 DXPOA15                      1279     (A)
 DXPOA16                      1280     (A)
 DXPOA17                      1281     (A)
 DXPOA18                      1282     (A)
 DXPOA19                      1283     (A)
 DXPOA20                      1284     (A)
 DXPOA21                      1285     (A)
 DXPOA22                      1286     (A)
 DXPOA23                      1287     (A)
 DXPOA24                      1288     (A)
 DXPOA25                      1289     (A)
 DXPOA26                      1290     (A)
 DXPOA27                      1291     (A)
 DXPOA28                      1292     (A)
 DXPOA29                      1293     (A)
 DXPOA30                      1294     (A)
 DXPOA31                      1295     (A)
 FEMALE                       1296-1297
 HCUP_ED                      1298-1299
 HCUP_OS                      1300-1301
 HCUP_SURGERY_BROAD_CPT       1302-1306
 HCUP_SURGERY_NARROW_CPT      1307-1311
 HISPANIC                     1312-1313
 HISPANIC_X                   1314-1318 (A)
 Homeless                     1319-1320
 HOSPST                       1321-1322 (A)
 I10_DX_Visit_Reason1         1323-1329 (A)
 I10_DX_Visit_Reason2         1330-1336 (A)
 I10_DX_Visit_Reason3         1337-1343 (A)
 I10_DX1                      1344-1350 (A)
 I10_DX2                      1351-1357 (A)
 I10_DX3                      1358-1364 (A)
 I10_DX4                      1365-1371 (A)
 I10_DX5                      1372-1378 (A)
 I10_DX6                      1379-1385 (A)
 I10_DX7                      1386-1392 (A)
 I10_DX8                      1393-1399 (A)
 I10_DX9                      1400-1406 (A)
 I10_DX10                     1407-1413 (A)
 I10_DX11                     1414-1420 (A)
 I10_DX12                     1421-1427 (A)
 I10_DX13                     1428-1434 (A)
 I10_DX14                     1435-1441 (A)
 I10_DX15                     1442-1448 (A)
 I10_DX16                     1449-1455 (A)
 I10_DX17                     1456-1462 (A)
 I10_DX18                     1463-1469 (A)
 I10_DX19                     1470-1476 (A)
 I10_DX20                     1477-1483 (A)
 I10_DX21                     1484-1490 (A)
 I10_DX22                     1491-1497 (A)
 I10_DX23                     1498-1504 (A)
 I10_DX24                     1505-1511 (A)
 I10_DX25                     1512-1518 (A)
 I10_DX26                     1519-1525 (A)
 I10_DX27                     1526-1532 (A)
 I10_DX28                     1533-1539 (A)
 I10_DX29                     1540-1546 (A)
 I10_DX30                     1547-1553 (A)
 I10_DX31                     1554-1560 (A)
 I10_NDX                      1561-1563
 I10_NPR                      1564-1566
 I10_PR1                      1567-1573 (A)
 I10_PR2                      1574-1580 (A)
 I10_PR3                      1581-1587 (A)
 I10_PR4                      1588-1594 (A)
 I10_PR5                      1595-1601 (A)
 I10_PR6                      1602-1608 (A)
 I10_PR7                      1609-1615 (A)
 I10_PR8                      1616-1622 (A)
 I10_PR9                      1623-1629 (A)
 I10_PR10                     1630-1636 (A)
 I10_PR11                     1637-1643 (A)
 I10_PR12                     1644-1650 (A)
 I10_PR13                     1651-1657 (A)
 I10_PR14                     1658-1664 (A)
 I10_PR15                     1665-1671 (A)
 I10_PR16                     1672-1678 (A)
 I10_PROCTYPE                 1679-1681
 KEY                          1682-1696
 LOS                          1697-1701
 LOS_X                        1702-1707
 MARITALSTATUS_X              1708     (A)
 MARITALSTATUSUB04            1709     (A)
 MDNUM1_R                     1710-1718
 MDNUM2_R                     1719-1727
 MEDINCSTQ                    1728-1729
 MOMNUM_R                     1730-1738
 MRN_R                        1739-1747
 NCPT                         1748-1751
 OPservice                    1752     (A)
 OS_TIME                      1753-1763
 PAY1                         1764-1765
 PAY1_X                       1766-1775 (A)
 PAY2                         1776-1777
 PAY2_X                       1778-1787 (A)
 PAY3                         1788-1789
 PAY3_X                       1790-1799 (A)
 PL_CBSA                      1800-1802
 PL_NCHS                      1803-1804
 PL_RUCC                      1805-1806
 PL_UIC                       1807-1808
 PL_UR_CAT4                   1809-1810
 POA_Disch_Edit1              1811-1812
 POA_Disch_Edit2              1813-1814
 POA_Hosp_Edit1               1815-1816
 POA_Hosp_Edit2               1817-1818
 POA_Hosp_Edit3               1819-1820
 POA_Hosp_Edit3_Value         1821-1828
 PointOfOrigin_X              1829     (A)
 PointOfOriginUB04            1830     (A)
 PRDAY1                       1831-1835
 PRDAY2                       1836-1840
 PRDAY3                       1841-1845
 PRDAY4                       1846-1850
 PRDAY5                       1851-1855
 PRDAY6                       1856-1860
 PRDAY7                       1861-1865
 PRDAY8                       1866-1870
 PRDAY9                       1871-1875
 PRDAY10                      1876-1880
 PRDAY11                      1881-1885
 PRDAY12                      1886-1890
 PRDAY13                      1891-1895
 PRDAY14                      1896-1900
 PRDAY15                      1901-1905
 PRDAY16                      1906-1910
 PrimLang                     1911-1913 (A)
 PSTATE                       1914-1915 (A)
 PSTCO                        1916-1920
 PSTCO2                       1921-1925
 RACE                         1926-1927
 RACE_X                       1928-1932 (A)
 READMIT                      1933-1934
 STATE_AS                     1935-1936
 STATE_ED                     1937-1938
 STATE_OS                     1939-1940
 TOTCHG                       1941-1950
 TOTCHG_X                     1951-1965
 YEAR                         1966-1969
 ZIP                          1970-1974 (A)
 ZIP3                         1975-1977 (A)
 ZIPINC_QRTL                  1978-1980
 TOWN                         1981-1984 (A)
 AYEAR                        1985-1988
 BMONTH                       1989-1990
 BYEAR                        1991-1994
 PRMONTH1                     1995-1996
 PRMONTH2                     1997-1998
 PRMONTH3                     1999-2000
 PRMONTH4                     2001-2002
 PRMONTH5                     2003-2004
 PRMONTH6                     2005-2006
 PRMONTH7                     2007-2008
 PRMONTH8                     2009-2010
 PRMONTH9                     2011-2012
 PRMONTH10                    2013-2014
 PRMONTH11                    2015-2016
 PRMONTH12                    2017-2018
 PRMONTH13                    2019-2020
 PRMONTH14                    2021-2022
 PRMONTH15                    2023-2024
 PRMONTH16                    2025-2026
 PRYEAR1                      2027-2030
 PRYEAR2                      2031-2034
 PRYEAR3                      2035-2038
 PRYEAR4                      2039-2042
 PRYEAR5                      2043-2046
 PRYEAR6                      2047-2050
 PRYEAR7                      2051-2054
 PRYEAR8                      2055-2058
 PRYEAR9                      2059-2062
 PRYEAR10                     2063-2066
 PRYEAR11                     2067-2070
 PRYEAR12                     2071-2074
 PRYEAR13                     2075-2078
 PRYEAR14                     2079-2082
 PRYEAR15                     2083-2086
 PRYEAR16                     2087-2090.


***  Specify write formats  ***.
FORMATS
 AGE                          (F3.0) /
 AGEDAY                       (F3.0) /
 AGEMONTH                     (F3.0) /
 AHOUR                        (F3.0) /
 AMONTH                       (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 CPTCCS1                      (F4.0) /
 CPTCCS2                      (F4.0) /
 CPTCCS3                      (F4.0) /
 CPTCCS4                      (F4.0) /
 CPTCCS5                      (F4.0) /
 CPTCCS6                      (F4.0) /
 CPTCCS7                      (F4.0) /
 CPTCCS8                      (F4.0) /
 CPTCCS9                      (F4.0) /
 CPTCCS10                     (F4.0) /
 CPTCCS11                     (F4.0) /
 CPTCCS12                     (F4.0) /
 CPTCCS13                     (F4.0) /
 CPTCCS14                     (F4.0) /
 CPTCCS15                     (F4.0) /
 CPTCCS16                     (F4.0) /
 CPTCCS17                     (F4.0) /
 CPTCCS18                     (F4.0) /
 CPTCCS19                     (F4.0) /
 CPTCCS20                     (F4.0) /
 CPTCCS21                     (F4.0) /
 CPTCCS22                     (F4.0) /
 CPTCCS23                     (F4.0) /
 CPTCCS24                     (F4.0) /
 CPTCCS25                     (F4.0) /
 CPTCCS26                     (F4.0) /
 CPTCCS27                     (F4.0) /
 CPTCCS28                     (F4.0) /
 CPTCCS29                     (F4.0) /
 CPTCCS30                     (F4.0) /
 CPTCCS31                     (F4.0) /
 CPTCCS32                     (F4.0) /
 CPTCCS33                     (F4.0) /
 CPTCCS34                     (F4.0) /
 CPTCCS35                     (F4.0) /
 CPTCCS36                     (F4.0) /
 CPTCCS37                     (F4.0) /
 CPTCCS38                     (F4.0) /
 CPTCCS39                     (F4.0) /
 CPTCCS40                     (F4.0) /
 CPTCCS41                     (F4.0) /
 CPTCCS42                     (F4.0) /
 CPTCCS43                     (F4.0) /
 CPTCCS44                     (F4.0) /
 CPTCCS45                     (F4.0) /
 CPTCCS46                     (F4.0) /
 CPTCCS47                     (F4.0) /
 CPTCCS48                     (F4.0) /
 CPTCCS49                     (F4.0) /
 CPTCCS50                     (F4.0) /
 CPTCCS51                     (F4.0) /
 CPTCCS52                     (F4.0) /
 CPTCCS53                     (F4.0) /
 CPTCCS54                     (F4.0) /
 CPTCCS55                     (F4.0) /
 CPTCCS56                     (F4.0) /
 CPTCCS57                     (F4.0) /
 CPTCCS58                     (F4.0) /
 CPTCCS59                     (F4.0) /
 CPTCCS60                     (F4.0) /
 CPTCCS61                     (F4.0) /
 CPTCCS62                     (F4.0) /
 CPTCCS63                     (F4.0) /
 CPTCCS64                     (F4.0) /
 CPTCCS65                     (F4.0) /
 CPTCCS66                     (F4.0) /
 CPTCCS67                     (F4.0) /
 CPTCCS68                     (F4.0) /
 CPTCCS69                     (F4.0) /
 CPTCCS70                     (F4.0) /
 CPTCCS71                     (F4.0) /
 CPTCCS72                     (F4.0) /
 CPTCCS73                     (F4.0) /
 CPTCCS74                     (F4.0) /
 CPTCCS75                     (F4.0) /
 CPTCCS76                     (F4.0) /
 CPTCCS77                     (F4.0) /
 CPTCCS78                     (F4.0) /
 CPTCCS79                     (F4.0) /
 CPTCCS80                     (F4.0) /
 CPTCCS81                     (F4.0) /
 CPTCCS82                     (F4.0) /
 CPTCCS83                     (F4.0) /
 CPTCCS84                     (F4.0) /
 CPTCCS85                     (F4.0) /
 CPTCCS86                     (F4.0) /
 CPTCCS87                     (F4.0) /
 CPTCCS88                     (F4.0) /
 CPTCCS89                     (F4.0) /
 CPTCCS90                     (F4.0) /
 CPTCCS91                     (F4.0) /
 CPTCCS92                     (F4.0) /
 CPTCCS93                     (F4.0) /
 CPTCCS94                     (F4.0) /
 CPTCCS95                     (F4.0) /
 CPTCCS96                     (F4.0) /
 CPTCCS97                     (F4.0) /
 CPTCCS98                     (F4.0) /
 CPTCCS99                     (F4.0) /
 CPTCCS100                    (F4.0) /
 DHOUR                        (F3.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DNR                          (F3.0) /
 DQTR                         (F3.0) /
 DURATION                     (F4.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HCUP_SURGERY_BROAD_CPT       (F3.0) /
 HCUP_SURGERY_NARROW_CPT      (F3.0) /
 HISPANIC                     (F3.0) /
 Homeless                     (F3.0) /
 I10_NDX                      (F3.0) /
 I10_NPR                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MDNUM1_R                     (F5.0) /
 MDNUM2_R                     (F5.0) /
 MEDINCSTQ                    (F3.0) /
 MOMNUM_R                     (F5.0) /
 MRN_R                        (F5.0) /
 NCPT                         (F3.0) /
 OS_TIME                      (F4.2) /
 PAY1                         (F3.0) /
 PAY2                         (F3.0) /
 PAY3                         (F3.0) /
 PL_CBSA                      (F3.0) /
 PL_NCHS                      (F3.0) /
 PL_RUCC                      (F3.0) /
 PL_UIC                       (F3.0) /
 PL_UR_CAT4                   (F3.0) /
 POA_Disch_Edit1              (F3.0) /
 POA_Disch_Edit2              (F3.0) /
 POA_Hosp_Edit1               (F3.0) /
 POA_Hosp_Edit2               (F3.0) /
 POA_Hosp_Edit3               (F3.0) /
 POA_Hosp_Edit3_Value         (F8.2) /
 PRDAY1                       (F4.0) /
 PRDAY2                       (F4.0) /
 PRDAY3                       (F4.0) /
 PRDAY4                       (F4.0) /
 PRDAY5                       (F4.0) /
 PRDAY6                       (F4.0) /
 PRDAY7                       (F4.0) /
 PRDAY8                       (F4.0) /
 PRDAY9                       (F4.0) /
 PRDAY10                      (F4.0) /
 PRDAY11                      (F4.0) /
 PRDAY12                      (F4.0) /
 PRDAY13                      (F4.0) /
 PRDAY14                      (F4.0) /
 PRDAY15                      (F4.0) /
 PRDAY16                      (F4.0) /
 PSTCO                        (F4.0) /
 PSTCO2                       (F4.0) /
 RACE                         (F3.0) /
 READMIT                      (F3.0) /
 STATE_AS                     (F3.0) /
 STATE_ED                     (F3.0) /
 STATE_OS                     (F3.0) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 AYEAR                        (F3.0) /
 BMONTH                       (F3.0) /
 BYEAR                        (F3.0) /
 PRMONTH1                     (F3.0) /
 PRMONTH2                     (F3.0) /
 PRMONTH3                     (F3.0) /
 PRMONTH4                     (F3.0) /
 PRMONTH5                     (F3.0) /
 PRMONTH6                     (F3.0) /
 PRMONTH7                     (F3.0) /
 PRMONTH8                     (F3.0) /
 PRMONTH9                     (F3.0) /
 PRMONTH10                    (F3.0) /
 PRMONTH11                    (F3.0) /
 PRMONTH12                    (F3.0) /
 PRMONTH13                    (F3.0) /
 PRMONTH14                    (F3.0) /
 PRMONTH15                    (F3.0) /
 PRMONTH16                    (F3.0) /
 PRYEAR1                      (F3.0) /
 PRYEAR2                      (F3.0) /
 PRYEAR3                      (F3.0) /
 PRYEAR4                      (F3.0) /
 PRYEAR5                      (F3.0) /
 PRYEAR6                      (F3.0) /
 PRYEAR7                      (F3.0) /
 PRYEAR8                      (F3.0) /
 PRYEAR9                      (F3.0) /
 PRYEAR10                     (F3.0) /
 PRYEAR11                     (F3.0) /
 PRYEAR12                     (F3.0) /
 PRYEAR13                     (F3.0) /
 PRYEAR14                     (F3.0) /
 PRYEAR15                     (F3.0) /
 PRYEAR16                     (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 AGE                          "Age in years at admission"
 AGEDAY                       "Age in days (when age < 1 year)"
 AGEMONTH                     "Age in months (when age < 11 years)"
 AHOUR                        "Admission Hour"
 AMONTH                       "Admission month"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 BILLTYPE                     "Type of bill, UB-04 coding"
 CPT1                         "CPT/HCPCS procedure code 1"
 CPT2                         "CPT/HCPCS procedure code 2"
 CPT3                         "CPT/HCPCS procedure code 3"
 CPT4                         "CPT/HCPCS procedure code 4"
 CPT5                         "CPT/HCPCS procedure code 5"
 CPT6                         "CPT/HCPCS procedure code 6"
 CPT7                         "CPT/HCPCS procedure code 7"
 CPT8                         "CPT/HCPCS procedure code 8"
 CPT9                         "CPT/HCPCS procedure code 9"
 CPT10                        "CPT/HCPCS procedure code 10"
 CPT11                        "CPT/HCPCS procedure code 11"
 CPT12                        "CPT/HCPCS procedure code 12"
 CPT13                        "CPT/HCPCS procedure code 13"
 CPT14                        "CPT/HCPCS procedure code 14"
 CPT15                        "CPT/HCPCS procedure code 15"
 CPT16                        "CPT/HCPCS procedure code 16"
 CPT17                        "CPT/HCPCS procedure code 17"
 CPT18                        "CPT/HCPCS procedure code 18"
 CPT19                        "CPT/HCPCS procedure code 19"
 CPT20                        "CPT/HCPCS procedure code 20"
 CPT21                        "CPT/HCPCS procedure code 21"
 CPT22                        "CPT/HCPCS procedure code 22"
 CPT23                        "CPT/HCPCS procedure code 23"
 CPT24                        "CPT/HCPCS procedure code 24"
 CPT25                        "CPT/HCPCS procedure code 25"
 CPT26                        "CPT/HCPCS procedure code 26"
 CPT27                        "CPT/HCPCS procedure code 27"
 CPT28                        "CPT/HCPCS procedure code 28"
 CPT29                        "CPT/HCPCS procedure code 29"
 CPT30                        "CPT/HCPCS procedure code 30"
 CPT31                        "CPT/HCPCS procedure code 31"
 CPT32                        "CPT/HCPCS procedure code 32"
 CPT33                        "CPT/HCPCS procedure code 33"
 CPT34                        "CPT/HCPCS procedure code 34"
 CPT35                        "CPT/HCPCS procedure code 35"
 CPT36                        "CPT/HCPCS procedure code 36"
 CPT37                        "CPT/HCPCS procedure code 37"
 CPT38                        "CPT/HCPCS procedure code 38"
 CPT39                        "CPT/HCPCS procedure code 39"
 CPT40                        "CPT/HCPCS procedure code 40"
 CPT41                        "CPT/HCPCS procedure code 41"
 CPT42                        "CPT/HCPCS procedure code 42"
 CPT43                        "CPT/HCPCS procedure code 43"
 CPT44                        "CPT/HCPCS procedure code 44"
 CPT45                        "CPT/HCPCS procedure code 45"
 CPT46                        "CPT/HCPCS procedure code 46"
 CPT47                        "CPT/HCPCS procedure code 47"
 CPT48                        "CPT/HCPCS procedure code 48"
 CPT49                        "CPT/HCPCS procedure code 49"
 CPT50                        "CPT/HCPCS procedure code 50"
 CPT51                        "CPT/HCPCS procedure code 51"
 CPT52                        "CPT/HCPCS procedure code 52"
 CPT53                        "CPT/HCPCS procedure code 53"
 CPT54                        "CPT/HCPCS procedure code 54"
 CPT55                        "CPT/HCPCS procedure code 55"
 CPT56                        "CPT/HCPCS procedure code 56"
 CPT57                        "CPT/HCPCS procedure code 57"
 CPT58                        "CPT/HCPCS procedure code 58"
 CPT59                        "CPT/HCPCS procedure code 59"
 CPT60                        "CPT/HCPCS procedure code 60"
 CPT61                        "CPT/HCPCS procedure code 61"
 CPT62                        "CPT/HCPCS procedure code 62"
 CPT63                        "CPT/HCPCS procedure code 63"
 CPT64                        "CPT/HCPCS procedure code 64"
 CPT65                        "CPT/HCPCS procedure code 65"
 CPT66                        "CPT/HCPCS procedure code 66"
 CPT67                        "CPT/HCPCS procedure code 67"
 CPT68                        "CPT/HCPCS procedure code 68"
 CPT69                        "CPT/HCPCS procedure code 69"
 CPT70                        "CPT/HCPCS procedure code 70"
 CPT71                        "CPT/HCPCS procedure code 71"
 CPT72                        "CPT/HCPCS procedure code 72"
 CPT73                        "CPT/HCPCS procedure code 73"
 CPT74                        "CPT/HCPCS procedure code 74"
 CPT75                        "CPT/HCPCS procedure code 75"
 CPT76                        "CPT/HCPCS procedure code 76"
 CPT77                        "CPT/HCPCS procedure code 77"
 CPT78                        "CPT/HCPCS procedure code 78"
 CPT79                        "CPT/HCPCS procedure code 79"
 CPT80                        "CPT/HCPCS procedure code 80"
 CPT81                        "CPT/HCPCS procedure code 81"
 CPT82                        "CPT/HCPCS procedure code 82"
 CPT83                        "CPT/HCPCS procedure code 83"
 CPT84                        "CPT/HCPCS procedure code 84"
 CPT85                        "CPT/HCPCS procedure code 85"
 CPT86                        "CPT/HCPCS procedure code 86"
 CPT87                        "CPT/HCPCS procedure code 87"
 CPT88                        "CPT/HCPCS procedure code 88"
 CPT89                        "CPT/HCPCS procedure code 89"
 CPT90                        "CPT/HCPCS procedure code 90"
 CPT91                        "CPT/HCPCS procedure code 91"
 CPT92                        "CPT/HCPCS procedure code 92"
 CPT93                        "CPT/HCPCS procedure code 93"
 CPT94                        "CPT/HCPCS procedure code 94"
 CPT95                        "CPT/HCPCS procedure code 95"
 CPT96                        "CPT/HCPCS procedure code 96"
 CPT97                        "CPT/HCPCS procedure code 97"
 CPT98                        "CPT/HCPCS procedure code 98"
 CPT99                        "CPT/HCPCS procedure code 99"
 CPT100                       "CPT/HCPCS procedure code 100"
 CPTCCS1                      "CCS: CPT 1"
 CPTCCS2                      "CCS: CPT 2"
 CPTCCS3                      "CCS: CPT 3"
 CPTCCS4                      "CCS: CPT 4"
 CPTCCS5                      "CCS: CPT 5"
 CPTCCS6                      "CCS: CPT 6"
 CPTCCS7                      "CCS: CPT 7"
 CPTCCS8                      "CCS: CPT 8"
 CPTCCS9                      "CCS: CPT 9"
 CPTCCS10                     "CCS: CPT 10"
 CPTCCS11                     "CCS: CPT 11"
 CPTCCS12                     "CCS: CPT 12"
 CPTCCS13                     "CCS: CPT 13"
 CPTCCS14                     "CCS: CPT 14"
 CPTCCS15                     "CCS: CPT 15"
 CPTCCS16                     "CCS: CPT 16"
 CPTCCS17                     "CCS: CPT 17"
 CPTCCS18                     "CCS: CPT 18"
 CPTCCS19                     "CCS: CPT 19"
 CPTCCS20                     "CCS: CPT 20"
 CPTCCS21                     "CCS: CPT 21"
 CPTCCS22                     "CCS: CPT 22"
 CPTCCS23                     "CCS: CPT 23"
 CPTCCS24                     "CCS: CPT 24"
 CPTCCS25                     "CCS: CPT 25"
 CPTCCS26                     "CCS: CPT 26"
 CPTCCS27                     "CCS: CPT 27"
 CPTCCS28                     "CCS: CPT 28"
 CPTCCS29                     "CCS: CPT 29"
 CPTCCS30                     "CCS: CPT 30"
 CPTCCS31                     "CCS: CPT 31"
 CPTCCS32                     "CCS: CPT 32"
 CPTCCS33                     "CCS: CPT 33"
 CPTCCS34                     "CCS: CPT 34"
 CPTCCS35                     "CCS: CPT 35"
 CPTCCS36                     "CCS: CPT 36"
 CPTCCS37                     "CCS: CPT 37"
 CPTCCS38                     "CCS: CPT 38"
 CPTCCS39                     "CCS: CPT 39"
 CPTCCS40                     "CCS: CPT 40"
 CPTCCS41                     "CCS: CPT 41"
 CPTCCS42                     "CCS: CPT 42"
 CPTCCS43                     "CCS: CPT 43"
 CPTCCS44                     "CCS: CPT 44"
 CPTCCS45                     "CCS: CPT 45"
 CPTCCS46                     "CCS: CPT 46"
 CPTCCS47                     "CCS: CPT 47"
 CPTCCS48                     "CCS: CPT 48"
 CPTCCS49                     "CCS: CPT 49"
 CPTCCS50                     "CCS: CPT 50"
 CPTCCS51                     "CCS: CPT 51"
 CPTCCS52                     "CCS: CPT 52"
 CPTCCS53                     "CCS: CPT 53"
 CPTCCS54                     "CCS: CPT 54"
 CPTCCS55                     "CCS: CPT 55"
 CPTCCS56                     "CCS: CPT 56"
 CPTCCS57                     "CCS: CPT 57"
 CPTCCS58                     "CCS: CPT 58"
 CPTCCS59                     "CCS: CPT 59"
 CPTCCS60                     "CCS: CPT 60"
 CPTCCS61                     "CCS: CPT 61"
 CPTCCS62                     "CCS: CPT 62"
 CPTCCS63                     "CCS: CPT 63"
 CPTCCS64                     "CCS: CPT 64"
 CPTCCS65                     "CCS: CPT 65"
 CPTCCS66                     "CCS: CPT 66"
 CPTCCS67                     "CCS: CPT 67"
 CPTCCS68                     "CCS: CPT 68"
 CPTCCS69                     "CCS: CPT 69"
 CPTCCS70                     "CCS: CPT 70"
 CPTCCS71                     "CCS: CPT 71"
 CPTCCS72                     "CCS: CPT 72"
 CPTCCS73                     "CCS: CPT 73"
 CPTCCS74                     "CCS: CPT 74"
 CPTCCS75                     "CCS: CPT 75"
 CPTCCS76                     "CCS: CPT 76"
 CPTCCS77                     "CCS: CPT 77"
 CPTCCS78                     "CCS: CPT 78"
 CPTCCS79                     "CCS: CPT 79"
 CPTCCS80                     "CCS: CPT 80"
 CPTCCS81                     "CCS: CPT 81"
 CPTCCS82                     "CCS: CPT 82"
 CPTCCS83                     "CCS: CPT 83"
 CPTCCS84                     "CCS: CPT 84"
 CPTCCS85                     "CCS: CPT 85"
 CPTCCS86                     "CCS: CPT 86"
 CPTCCS87                     "CCS: CPT 87"
 CPTCCS88                     "CCS: CPT 88"
 CPTCCS89                     "CCS: CPT 89"
 CPTCCS90                     "CCS: CPT 90"
 CPTCCS91                     "CCS: CPT 91"
 CPTCCS92                     "CCS: CPT 92"
 CPTCCS93                     "CCS: CPT 93"
 CPTCCS94                     "CCS: CPT 94"
 CPTCCS95                     "CCS: CPT 95"
 CPTCCS96                     "CCS: CPT 96"
 CPTCCS97                     "CCS: CPT 97"
 CPTCCS98                     "CCS: CPT 98"
 CPTCCS99                     "CCS: CPT 99"
 CPTCCS100                    "CCS: CPT 100"
 CPTM1_1                      "First CPT-4/HCPCS modifier 1"
 CPTM1_2                      "First CPT-4/HCPCS modifier 2"
 CPTM1_3                      "First CPT-4/HCPCS modifier 3"
 CPTM1_4                      "First CPT-4/HCPCS modifier 4"
 CPTM1_5                      "First CPT-4/HCPCS modifier 5"
 CPTM1_6                      "First CPT-4/HCPCS modifier 6"
 CPTM1_7                      "First CPT-4/HCPCS modifier 7"
 CPTM1_8                      "First CPT-4/HCPCS modifier 8"
 CPTM1_9                      "First CPT-4/HCPCS modifier 9"
 CPTM1_10                     "First CPT-4/HCPCS modifier 10"
 CPTM1_11                     "First CPT-4/HCPCS modifier 11"
 CPTM1_12                     "First CPT-4/HCPCS modifier 12"
 CPTM1_13                     "First CPT-4/HCPCS modifier 13"
 CPTM1_14                     "First CPT-4/HCPCS modifier 14"
 CPTM1_15                     "First CPT-4/HCPCS modifier 15"
 CPTM1_16                     "First CPT-4/HCPCS modifier 16"
 CPTM1_17                     "First CPT-4/HCPCS modifier 17"
 CPTM1_18                     "First CPT-4/HCPCS modifier 18"
 CPTM1_19                     "First CPT-4/HCPCS modifier 19"
 CPTM1_20                     "First CPT-4/HCPCS modifier 20"
 CPTM1_21                     "First CPT-4/HCPCS modifier 21"
 CPTM1_22                     "First CPT-4/HCPCS modifier 22"
 CPTM1_23                     "First CPT-4/HCPCS modifier 23"
 CPTM1_24                     "First CPT-4/HCPCS modifier 24"
 CPTM1_25                     "First CPT-4/HCPCS modifier 25"
 CPTM1_26                     "First CPT-4/HCPCS modifier 26"
 CPTM1_27                     "First CPT-4/HCPCS modifier 27"
 CPTM1_28                     "First CPT-4/HCPCS modifier 28"
 CPTM1_29                     "First CPT-4/HCPCS modifier 29"
 CPTM1_30                     "First CPT-4/HCPCS modifier 30"
 CPTM1_31                     "First CPT-4/HCPCS modifier 31"
 CPTM1_32                     "First CPT-4/HCPCS modifier 32"
 CPTM1_33                     "First CPT-4/HCPCS modifier 33"
 CPTM1_34                     "First CPT-4/HCPCS modifier 34"
 CPTM1_35                     "First CPT-4/HCPCS modifier 35"
 CPTM1_36                     "First CPT-4/HCPCS modifier 36"
 CPTM1_37                     "First CPT-4/HCPCS modifier 37"
 CPTM1_38                     "First CPT-4/HCPCS modifier 38"
 CPTM1_39                     "First CPT-4/HCPCS modifier 39"
 CPTM1_40                     "First CPT-4/HCPCS modifier 40"
 CPTM1_41                     "First CPT-4/HCPCS modifier 41"
 CPTM1_42                     "First CPT-4/HCPCS modifier 42"
 CPTM1_43                     "First CPT-4/HCPCS modifier 43"
 CPTM1_44                     "First CPT-4/HCPCS modifier 44"
 CPTM1_45                     "First CPT-4/HCPCS modifier 45"
 CPTM1_46                     "First CPT-4/HCPCS modifier 46"
 CPTM1_47                     "First CPT-4/HCPCS modifier 47"
 CPTM1_48                     "First CPT-4/HCPCS modifier 48"
 CPTM1_49                     "First CPT-4/HCPCS modifier 49"
 CPTM1_50                     "First CPT-4/HCPCS modifier 50"
 CPTM1_51                     "First CPT-4/HCPCS modifier 51"
 CPTM1_52                     "First CPT-4/HCPCS modifier 52"
 CPTM1_53                     "First CPT-4/HCPCS modifier 53"
 CPTM1_54                     "First CPT-4/HCPCS modifier 54"
 CPTM1_55                     "First CPT-4/HCPCS modifier 55"
 CPTM1_56                     "First CPT-4/HCPCS modifier 56"
 CPTM1_57                     "First CPT-4/HCPCS modifier 57"
 CPTM1_58                     "First CPT-4/HCPCS modifier 58"
 CPTM1_59                     "First CPT-4/HCPCS modifier 59"
 CPTM1_60                     "First CPT-4/HCPCS modifier 60"
 CPTM1_61                     "First CPT-4/HCPCS modifier 61"
 CPTM1_62                     "First CPT-4/HCPCS modifier 62"
 CPTM1_63                     "First CPT-4/HCPCS modifier 63"
 CPTM1_64                     "First CPT-4/HCPCS modifier 64"
 CPTM1_65                     "First CPT-4/HCPCS modifier 65"
 CPTM1_66                     "First CPT-4/HCPCS modifier 66"
 CPTM1_67                     "First CPT-4/HCPCS modifier 67"
 CPTM1_68                     "First CPT-4/HCPCS modifier 68"
 CPTM1_69                     "First CPT-4/HCPCS modifier 69"
 CPTM1_70                     "First CPT-4/HCPCS modifier 70"
 CPTM1_71                     "First CPT-4/HCPCS modifier 71"
 CPTM1_72                     "First CPT-4/HCPCS modifier 72"
 CPTM1_73                     "First CPT-4/HCPCS modifier 73"
 CPTM1_74                     "First CPT-4/HCPCS modifier 74"
 CPTM1_75                     "First CPT-4/HCPCS modifier 75"
 CPTM1_76                     "First CPT-4/HCPCS modifier 76"
 CPTM1_77                     "First CPT-4/HCPCS modifier 77"
 CPTM1_78                     "First CPT-4/HCPCS modifier 78"
 CPTM1_79                     "First CPT-4/HCPCS modifier 79"
 CPTM1_80                     "First CPT-4/HCPCS modifier 80"
 CPTM1_81                     "First CPT-4/HCPCS modifier 81"
 CPTM1_82                     "First CPT-4/HCPCS modifier 82"
 CPTM1_83                     "First CPT-4/HCPCS modifier 83"
 CPTM1_84                     "First CPT-4/HCPCS modifier 84"
 CPTM1_85                     "First CPT-4/HCPCS modifier 85"
 CPTM1_86                     "First CPT-4/HCPCS modifier 86"
 CPTM1_87                     "First CPT-4/HCPCS modifier 87"
 CPTM1_88                     "First CPT-4/HCPCS modifier 88"
 CPTM1_89                     "First CPT-4/HCPCS modifier 89"
 CPTM1_90                     "First CPT-4/HCPCS modifier 90"
 CPTM1_91                     "First CPT-4/HCPCS modifier 91"
 CPTM1_92                     "First CPT-4/HCPCS modifier 92"
 CPTM1_93                     "First CPT-4/HCPCS modifier 93"
 CPTM1_94                     "First CPT-4/HCPCS modifier 94"
 CPTM1_95                     "First CPT-4/HCPCS modifier 95"
 CPTM1_96                     "First CPT-4/HCPCS modifier 96"
 CPTM1_97                     "First CPT-4/HCPCS modifier 97"
 CPTM1_98                     "First CPT-4/HCPCS modifier 98"
 CPTM1_99                     "First CPT-4/HCPCS modifier 99"
 CPTM1_100                    "First CPT-4/HCPCS modifier 100"
 CPTM2_1                      "Second CPT-4/HCPCS modifier 1"
 CPTM2_2                      "Second CPT-4/HCPCS modifier 2"
 CPTM2_3                      "Second CPT-4/HCPCS modifier 3"
 CPTM2_4                      "Second CPT-4/HCPCS modifier 4"
 CPTM2_5                      "Second CPT-4/HCPCS modifier 5"
 CPTM2_6                      "Second CPT-4/HCPCS modifier 6"
 CPTM2_7                      "Second CPT-4/HCPCS modifier 7"
 CPTM2_8                      "Second CPT-4/HCPCS modifier 8"
 CPTM2_9                      "Second CPT-4/HCPCS modifier 9"
 CPTM2_10                     "Second CPT-4/HCPCS modifier 10"
 CPTM2_11                     "Second CPT-4/HCPCS modifier 11"
 CPTM2_12                     "Second CPT-4/HCPCS modifier 12"
 CPTM2_13                     "Second CPT-4/HCPCS modifier 13"
 CPTM2_14                     "Second CPT-4/HCPCS modifier 14"
 CPTM2_15                     "Second CPT-4/HCPCS modifier 15"
 CPTM2_16                     "Second CPT-4/HCPCS modifier 16"
 CPTM2_17                     "Second CPT-4/HCPCS modifier 17"
 CPTM2_18                     "Second CPT-4/HCPCS modifier 18"
 CPTM2_19                     "Second CPT-4/HCPCS modifier 19"
 CPTM2_20                     "Second CPT-4/HCPCS modifier 20"
 CPTM2_21                     "Second CPT-4/HCPCS modifier 21"
 CPTM2_22                     "Second CPT-4/HCPCS modifier 22"
 CPTM2_23                     "Second CPT-4/HCPCS modifier 23"
 CPTM2_24                     "Second CPT-4/HCPCS modifier 24"
 CPTM2_25                     "Second CPT-4/HCPCS modifier 25"
 CPTM2_26                     "Second CPT-4/HCPCS modifier 26"
 CPTM2_27                     "Second CPT-4/HCPCS modifier 27"
 CPTM2_28                     "Second CPT-4/HCPCS modifier 28"
 CPTM2_29                     "Second CPT-4/HCPCS modifier 29"
 CPTM2_30                     "Second CPT-4/HCPCS modifier 30"
 CPTM2_31                     "Second CPT-4/HCPCS modifier 31"
 CPTM2_32                     "Second CPT-4/HCPCS modifier 32"
 CPTM2_33                     "Second CPT-4/HCPCS modifier 33"
 CPTM2_34                     "Second CPT-4/HCPCS modifier 34"
 CPTM2_35                     "Second CPT-4/HCPCS modifier 35"
 CPTM2_36                     "Second CPT-4/HCPCS modifier 36"
 CPTM2_37                     "Second CPT-4/HCPCS modifier 37"
 CPTM2_38                     "Second CPT-4/HCPCS modifier 38"
 CPTM2_39                     "Second CPT-4/HCPCS modifier 39"
 CPTM2_40                     "Second CPT-4/HCPCS modifier 40"
 CPTM2_41                     "Second CPT-4/HCPCS modifier 41"
 CPTM2_42                     "Second CPT-4/HCPCS modifier 42"
 CPTM2_43                     "Second CPT-4/HCPCS modifier 43"
 CPTM2_44                     "Second CPT-4/HCPCS modifier 44"
 CPTM2_45                     "Second CPT-4/HCPCS modifier 45"
 CPTM2_46                     "Second CPT-4/HCPCS modifier 46"
 CPTM2_47                     "Second CPT-4/HCPCS modifier 47"
 CPTM2_48                     "Second CPT-4/HCPCS modifier 48"
 CPTM2_49                     "Second CPT-4/HCPCS modifier 49"
 CPTM2_50                     "Second CPT-4/HCPCS modifier 50"
 CPTM2_51                     "Second CPT-4/HCPCS modifier 51"
 CPTM2_52                     "Second CPT-4/HCPCS modifier 52"
 CPTM2_53                     "Second CPT-4/HCPCS modifier 53"
 CPTM2_54                     "Second CPT-4/HCPCS modifier 54"
 CPTM2_55                     "Second CPT-4/HCPCS modifier 55"
 CPTM2_56                     "Second CPT-4/HCPCS modifier 56"
 CPTM2_57                     "Second CPT-4/HCPCS modifier 57"
 CPTM2_58                     "Second CPT-4/HCPCS modifier 58"
 CPTM2_59                     "Second CPT-4/HCPCS modifier 59"
 CPTM2_60                     "Second CPT-4/HCPCS modifier 60"
 CPTM2_61                     "Second CPT-4/HCPCS modifier 61"
 CPTM2_62                     "Second CPT-4/HCPCS modifier 62"
 CPTM2_63                     "Second CPT-4/HCPCS modifier 63"
 CPTM2_64                     "Second CPT-4/HCPCS modifier 64"
 CPTM2_65                     "Second CPT-4/HCPCS modifier 65"
 CPTM2_66                     "Second CPT-4/HCPCS modifier 66"
 CPTM2_67                     "Second CPT-4/HCPCS modifier 67"
 CPTM2_68                     "Second CPT-4/HCPCS modifier 68"
 CPTM2_69                     "Second CPT-4/HCPCS modifier 69"
 CPTM2_70                     "Second CPT-4/HCPCS modifier 70"
 CPTM2_71                     "Second CPT-4/HCPCS modifier 71"
 CPTM2_72                     "Second CPT-4/HCPCS modifier 72"
 CPTM2_73                     "Second CPT-4/HCPCS modifier 73"
 CPTM2_74                     "Second CPT-4/HCPCS modifier 74"
 CPTM2_75                     "Second CPT-4/HCPCS modifier 75"
 CPTM2_76                     "Second CPT-4/HCPCS modifier 76"
 CPTM2_77                     "Second CPT-4/HCPCS modifier 77"
 CPTM2_78                     "Second CPT-4/HCPCS modifier 78"
 CPTM2_79                     "Second CPT-4/HCPCS modifier 79"
 CPTM2_80                     "Second CPT-4/HCPCS modifier 80"
 CPTM2_81                     "Second CPT-4/HCPCS modifier 81"
 CPTM2_82                     "Second CPT-4/HCPCS modifier 82"
 CPTM2_83                     "Second CPT-4/HCPCS modifier 83"
 CPTM2_84                     "Second CPT-4/HCPCS modifier 84"
 CPTM2_85                     "Second CPT-4/HCPCS modifier 85"
 CPTM2_86                     "Second CPT-4/HCPCS modifier 86"
 CPTM2_87                     "Second CPT-4/HCPCS modifier 87"
 CPTM2_88                     "Second CPT-4/HCPCS modifier 88"
 CPTM2_89                     "Second CPT-4/HCPCS modifier 89"
 CPTM2_90                     "Second CPT-4/HCPCS modifier 90"
 CPTM2_91                     "Second CPT-4/HCPCS modifier 91"
 CPTM2_92                     "Second CPT-4/HCPCS modifier 92"
 CPTM2_93                     "Second CPT-4/HCPCS modifier 93"
 CPTM2_94                     "Second CPT-4/HCPCS modifier 94"
 CPTM2_95                     "Second CPT-4/HCPCS modifier 95"
 CPTM2_96                     "Second CPT-4/HCPCS modifier 96"
 CPTM2_97                     "Second CPT-4/HCPCS modifier 97"
 CPTM2_98                     "Second CPT-4/HCPCS modifier 98"
 CPTM2_99                     "Second CPT-4/HCPCS modifier 99"
 CPTM2_100                    "Second CPT-4/HCPCS modifier 100"
 DHOUR                        "Discharge Hour"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DNR                          "Do not resuscitate indicator"
 DQTR                         "Discharge quarter"
 DSHOSPID                     "Data source hospital identifier"
 DURATION                     "Elapsed time for hospital care in hours and minutes"
 DXPOA1                       "Diagnosis 1, present on admission indicator"
 DXPOA2                       "Diagnosis 2, present on admission indicator"
 DXPOA3                       "Diagnosis 3, present on admission indicator"
 DXPOA4                       "Diagnosis 4, present on admission indicator"
 DXPOA5                       "Diagnosis 5, present on admission indicator"
 DXPOA6                       "Diagnosis 6, present on admission indicator"
 DXPOA7                       "Diagnosis 7, present on admission indicator"
 DXPOA8                       "Diagnosis 8, present on admission indicator"
 DXPOA9                       "Diagnosis 9, present on admission indicator"
 DXPOA10                      "Diagnosis 10, present on admission indicator"
 DXPOA11                      "Diagnosis 11, present on admission indicator"
 DXPOA12                      "Diagnosis 12, present on admission indicator"
 DXPOA13                      "Diagnosis 13, present on admission indicator"
 DXPOA14                      "Diagnosis 14, present on admission indicator"
 DXPOA15                      "Diagnosis 15, present on admission indicator"
 DXPOA16                      "Diagnosis 16, present on admission indicator"
 DXPOA17                      "Diagnosis 17, present on admission indicator"
 DXPOA18                      "Diagnosis 18, present on admission indicator"
 DXPOA19                      "Diagnosis 19, present on admission indicator"
 DXPOA20                      "Diagnosis 20, present on admission indicator"
 DXPOA21                      "Diagnosis 21, present on admission indicator"
 DXPOA22                      "Diagnosis 22, present on admission indicator"
 DXPOA23                      "Diagnosis 23, present on admission indicator"
 DXPOA24                      "Diagnosis 24, present on admission indicator"
 DXPOA25                      "Diagnosis 25, present on admission indicator"
 DXPOA26                      "Diagnosis 26, present on admission indicator"
 DXPOA27                      "Diagnosis 27, present on admission indicator"
 DXPOA28                      "Diagnosis 28, present on admission indicator"
 DXPOA29                      "Diagnosis 29, present on admission indicator"
 DXPOA30                      "Diagnosis 30, present on admission indicator"
 DXPOA31                      "Diagnosis 31, present on admission indicator"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HCUP_SURGERY_BROAD_CPT       "Number of reported CPT procedures that qualify as a surgery using a broad definition"
 HCUP_SURGERY_NARROW_CPT      "Number of reported CPT procedures that qualify as a surgery using a narrow definition"
 HISPANIC                     "Hispanic ethnicity (uniform)"
 HISPANIC_X                   "Hispanic ethnicity (as received from source)"
 Homeless                     "Indicator that patient is homeless"
 HOSPST                       "Hospital state postal code"
 I10_DX_Visit_Reason1         "ICD-10-CM Reason for visit diagnosis 1"
 I10_DX_Visit_Reason2         "ICD-10-CM Reason for visit diagnosis 2"
 I10_DX_Visit_Reason3         "ICD-10-CM Reason for visit diagnosis 3"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_DX18                     "ICD-10-CM Diagnosis 18"
 I10_DX19                     "ICD-10-CM Diagnosis 19"
 I10_DX20                     "ICD-10-CM Diagnosis 20"
 I10_DX21                     "ICD-10-CM Diagnosis 21"
 I10_DX22                     "ICD-10-CM Diagnosis 22"
 I10_DX23                     "ICD-10-CM Diagnosis 23"
 I10_DX24                     "ICD-10-CM Diagnosis 24"
 I10_DX25                     "ICD-10-CM Diagnosis 25"
 I10_DX26                     "ICD-10-CM Diagnosis 26"
 I10_DX27                     "ICD-10-CM Diagnosis 27"
 I10_DX28                     "ICD-10-CM Diagnosis 28"
 I10_DX29                     "ICD-10-CM Diagnosis 29"
 I10_DX30                     "ICD-10-CM Diagnosis 30"
 I10_DX31                     "ICD-10-CM Diagnosis 31"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_NPR                      "ICD-10-PCS Number of procedures on this record"
 I10_PR1                      "ICD-10-PCS Procedure 1"
 I10_PR2                      "ICD-10-PCS Procedure 2"
 I10_PR3                      "ICD-10-PCS Procedure 3"
 I10_PR4                      "ICD-10-PCS Procedure 4"
 I10_PR5                      "ICD-10-PCS Procedure 5"
 I10_PR6                      "ICD-10-PCS Procedure 6"
 I10_PR7                      "ICD-10-PCS Procedure 7"
 I10_PR8                      "ICD-10-PCS Procedure 8"
 I10_PR9                      "ICD-10-PCS Procedure 9"
 I10_PR10                     "ICD-10-PCS Procedure 10"
 I10_PR11                     "ICD-10-PCS Procedure 11"
 I10_PR12                     "ICD-10-PCS Procedure 12"
 I10_PR13                     "ICD-10-PCS Procedure 13"
 I10_PR14                     "ICD-10-PCS Procedure 14"
 I10_PR15                     "ICD-10-PCS Procedure 15"
 I10_PR16                     "ICD-10-PCS Procedure 16"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MARITALSTATUS_X              "Patient's marital status (as received from source)"
 MARITALSTATUSUB04            "Patient's marital status, UB-04 standard coding"
 MDNUM1_R                     "Physician 1 number (re-identified)"
 MDNUM2_R                     "Physician 2 number (re-identified)"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 MOMNUM_R                     "Mother's number (re-identified)"
 MRN_R                        "Medical record number (re-identified)"
 NCPT                         "Number of CPT/HCPCS procedures for this visit"
 OPservice                    "Indicator of outpatient service (as received from source)"
 OS_TIME                      "Observation stay time summed from UNITS"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PAY2                         "Secondary expected payer (uniform)"
 PAY2_X                       "Secondary expected payer (as received from source)"
 PAY3                         "Tertiary expected payer (uniform)"
 PAY3_X                       "Tertiary expected payer (as received from source)"
 PL_CBSA                      "Patient location: Core Based Statistical Area (CBSA)"
 PL_NCHS                      "Patient Location: NCHS Urban-Rural Code"
 PL_RUCC                      "Patient location: Rural-Urban Continuum Codes (RUCC)"
 PL_UIC                       "Patient location: Urban Influence Codes"
 PL_UR_CAT4                   "Patient Location: Urban-Rural 4 Categories"
 POA_Disch_Edit1              "Discharge has POA missing on all nonexempt diagnoses"
 POA_Disch_Edit2              "Discharge has POA missing on all nonexempt secondary diagnoses"
 POA_Hosp_Edit1               "Hospital reported POA as Y on all diagnoses on all discharges"
 POA_Hosp_Edit2               "Hospital reported POA as missing on all non-Medicare discharges"
 POA_Hosp_Edit3
"Hospital reported POA as missing on all nonexempt diagnoses for 15% or more of discharges"
 POA_Hosp_Edit3_Value         "Percentage of discharges with all nonexempt diagnoses missing POA indicators"
 PointOfOrigin_X              "Point of origin for admission or visit, as received from source"
 PointOfOriginUB04            "Point of origin for admission or visit, UB-04 standard coding"
 PRDAY1                       "Number of days from admission to I10_PR1"
 PRDAY2                       "Number of days from admission to I10_PR2"
 PRDAY3                       "Number of days from admission to I10_PR3"
 PRDAY4                       "Number of days from admission to I10_PR4"
 PRDAY5                       "Number of days from admission to I10_PR5"
 PRDAY6                       "Number of days from admission to I10_PR6"
 PRDAY7                       "Number of days from admission to I10_PR7"
 PRDAY8                       "Number of days from admission to I10_PR8"
 PRDAY9                       "Number of days from admission to I10_PR9"
 PRDAY10                      "Number of days from admission to I10_PR10"
 PRDAY11                      "Number of days from admission to I10_PR11"
 PRDAY12                      "Number of days from admission to I10_PR12"
 PRDAY13                      "Number of days from admission to I10_PR13"
 PRDAY14                      "Number of days from admission to I10_PR14"
 PRDAY15                      "Number of days from admission to I10_PR15"
 PRDAY16                      "Number of days from admission to I10_PR16"
 PrimLang                     "Primary language of patient"
 PSTATE                       "Patient State postal code"
 PSTCO                        "Patient state/county FIPS code"
 PSTCO2                       "Patient state/county FIPS code, possibly derived from ZIP Code"
 RACE                         "Race (uniform)"
 RACE_X                       "Race (as received from source)"
 READMIT                      "Readmission"
 STATE_AS                     "State Ambulatory Surgery service indicator"
 STATE_ED                     "State Emergency Department service indicator"
 STATE_OS                     "State Observation Stay service indicator"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 YEAR                         "Calendar year"
 ZIP                          "Patient ZIP Code"
 ZIP3                         "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 TOWN                         "Patient town of residence (as received from source)"
 AYEAR                        "Admission year"
 BMONTH                       "Birth month"
 BYEAR                        "Birth year"
 PRMONTH1                     "Month of procedure 1"
 PRMONTH2                     "Month of procedure 2"
 PRMONTH3                     "Month of procedure 3"
 PRMONTH4                     "Month of procedure 4"
 PRMONTH5                     "Month of procedure 5"
 PRMONTH6                     "Month of procedure 6"
 PRMONTH7                     "Month of procedure 7"
 PRMONTH8                     "Month of procedure 8"
 PRMONTH9                     "Month of procedure 9"
 PRMONTH10                    "Month of procedure 10"
 PRMONTH11                    "Month of procedure 11"
 PRMONTH12                    "Month of procedure 12"
 PRMONTH13                    "Month of procedure 13"
 PRMONTH14                    "Month of procedure 14"
 PRMONTH15                    "Month of procedure 15"
 PRMONTH16                    "Month of procedure 16"
 PRYEAR1                      "Year of procedure 1"
 PRYEAR2                      "Year of procedure 2"
 PRYEAR3                      "Year of procedure 3"
 PRYEAR4                      "Year of procedure 4"
 PRYEAR5                      "Year of procedure 5"
 PRYEAR6                      "Year of procedure 6"
 PRYEAR7                      "Year of procedure 7"
 PRYEAR8                      "Year of procedure 8"
 PRYEAR9                      "Year of procedure 9"
 PRYEAR10                     "Year of procedure 10"
 PRYEAR11                     "Year of procedure 11"
 PRYEAR12                     "Year of procedure 12"
 PRYEAR13                     "Year of procedure 13"
 PRYEAR14                     "Year of procedure 14"
 PRYEAR15                     "Year of procedure 15"
 PRYEAR16                     "Year of procedure 16" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEDAY
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AHOUR
 (-999,-888,-666,-555=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE CPTCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS100
 (-99,-88,-66,-55=SYSMIS).
RECODE DHOUR
 (-999,-888,-666,-555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DNR
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE DURATION
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_SURGERY_BROAD_CPT
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE HCUP_SURGERY_NARROW_CPT
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE HISPANIC
 (-9,-8,-6,-5=SYSMIS).
RECODE Homeless
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NPR
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDNUM1_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM2_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE MOMNUM_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MRN_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE NCPT
 (-999,-888,-666,-555=SYSMIS).
RECODE OS_TIME
 (-9999999.99,-8888888.88,-6666666.66,-5555555.55=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY2
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY3
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_NCHS
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UIC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3_Value
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE PRDAY1
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY3
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY4
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY5
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY6
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY7
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY8
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY9
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY10
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY11
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY12
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY13
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY14
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY15
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY16
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE READMIT
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_AS
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE STATE_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE BMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMONTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH7
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH8
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH9
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH10
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH11
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH12
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH13
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH14
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH15
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH16
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR7
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR8
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR9
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR10
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR11
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR12
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR13
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR14
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR15
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR16
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'NJ_SASD_2018_CORE.SAV' /COMPRESSED.
