/*******************************************************************
*   NY_SASD_2005_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      OUTPATIENT CHGS FILE INTO SPSS                             
*******************************************************************/


*******************************************************************.
*  Define the data file                                           *.
*  ATTENTION!            ATTENTION!              ATTENTION!       *.
*  Variable names longer than 8 characters are truncated for SPSS *.
*  and may no longer be unique                                    *.
*  Refer to the LOC file and adjust accordingly                   *.
*******************************************************************.

DATA LIST FILE = 'NY_SASD_2005_CHGS.ASC' FIXED / 
 KEY                        1-  14
 CHARGE                    15-  26
 CPTHCPCS                  27-  31 (A)
 CPTMod1                   32-  33 (A)
 CPTMod2                   34-  35 (A)
 REVCODE                   36-  39 (A).


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 CHARGE                  (F6.2) /
.


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 CHARGE    "Line item charges (as received from source)"
 CPTHCPCS  "Line item CPT-4/HCPCS procedure code (as received from source)"
 CPTMod1   "Line item CPT-4/HCPCS first modifier (as received from source)"
 CPTMod2   "Line item CPT-4/HCPCS second modifier (as received from source)"
 REVCODE   "Line item revenue code (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHARGE
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).



SAVE OUTFILE = 'NY_SASD_2005_CHGS.SAV' /COMPRESSED.
