/*******************************************************************
*   WI_SASD_2008_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      OUTPATIENT CHGS FILE INTO SPSS                             
*******************************************************************/


*******************************************************************.
*  Define the data file                                           *.
*  ATTENTION!            ATTENTION!              ATTENTION!       *.
*  Variable names longer than 8 characters are truncated for SPSS *.
*  and may no longer be unique                                    *.
*  Refer to the LOC file and adjust accordingly                   *.
*******************************************************************.

DATA LIST FILE = 'WI_SASD_2008_CHGS.ASC' FIXED / 
 CHARGE                     1-  12
 CPTHCPCS                  13-  17 (A)
 CPTMod1                   18-  19 (A)
 CPTMod2                   20-  21 (A)
 KEY                       22-  35
 REVCODE                   36-  39 (A)
 SERVDAY                   40-  44
 UNITS                     45-  52.


***  Specify write formats  ***.
FORMATS
 CHARGE                  (F6.2) /
 KEY                     (F8.0) /
 SERVDAY                 (F3.0) /
 UNITS                   (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 CHARGE    "Line item charges (as received from source)"
 CPTHCPCS  "Line item CPT-4/HCPCS procedure code (as received from source)"
 CPTMod1   "Line item CPT-4/HCPCS first modifier (as received from source)"
 CPTMod2   "Line item CPT-4/HCPCS second modifier (as received from source)"
 KEY       "HCUP record identifier"
 REVCODE   "Line item revenue code (as received from source)"
 SERVDAY   "Line item days from admission date"
 UNITS     "Line item units (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHARGE
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE SERVDAY
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE UNITS
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'WI_SASD_2008_CHGS.SAV' /COMPRESSED.
